fitness {galgo} | R Documentation

## Function used to evaluate a chromosome

### Description

Function used to evaluate a chromosome using training and validation sets (second-level training-test sets) and the selected split.

### Usage

    fitness(chr, parent)

### Arguments

`chr` | Chromosome or vector object.
`parent` | Parent object, commonly BigBang object.

### Value

A numeric value with the fitness computed for the chromosome.

### Note

This function is designed to be used under configBB.VarSel configuration and depend on splitTrainKFold and splitValidKFold variables.

### Author(s)

Victor Trevino. Francesco Falciani Group. University of Birmingham, U.K.

### See Also

`forwardSelectionModels.BigBang`, `modelSelection`, `classPrediction`, `configBB.VarSel`

[Package galgo version 1.4 Index]